0

I upgraded exp-resso Store from 1.6 to 2.5.1. Store worked fine on 1.6 but I needed to upgrade EE to 2.10.3 Now I get the checkout error "This transaction cannot be accepted." I checked with AuthorizeNet and the API Login ID and the Transaction Key are fine. It was my understanding that I needed to change/add the payment_method in checkout3.html file.

Original code in checkout3.html

<select id="payment_method" name="payment_method">
<option value=""></option>
{payment_method_options}
</select>

changed to this:
<select id="payment_method" name="payment_method">
<option value="AuthorizeNet_AIM" selected>Credit Card</option>
</select>

I still get the error “This transaction cannot be accepted."

I have looked through support docs and I still can’t figure out what to do. Any suggesting.

| improve this question | | | | |
0

I put in all new templates files and also generated a new transaction key (3rd time) at AuthorizeNet and it works

| improve this answer | | | | |

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service, privacy policy and cookie policy

Not the answer you're looking for? Browse other questions tagged or ask your own question.